@import url("https://fonts.googleapis.com/css2?family=REM:ital,wght@0,100..900;1,100..900&display=swap");

:root {
  color-scheme: light dark;

  /*========== Colors ==========*/
  /*
  color: bleu = 240
  color: rouge = 0  
  color: jaune = 60
  color: principal = 131
  */
  --hue: 131;
  --first-color: hsl(var(--hue), 50%, 35%);
  --first-color-hover: light-dark(
    hsl(var(--hue), 70%, 35%),
    hsl(var(--hue), 100%, 35%)
  );
  --first-color-text: light-dark(
    hsl(var(--hue), 100%, 20%, 0.839),
    hsl(var(--hue), 70%, 35%)
  );
  --first-color-alt: hsl(var(--hue), 51%, 33%);
  --first-color-light: hsl(var(--hue), 48%, 94%);
  --title-color: hsl(230, 9%, 13%);
  --text-color: hsl(230, 9%, 13%);
  --text-color-light: hsl(234, 5%, 40%);
  --white-color-ld: light-dark(hsl(0, 0%, 12%), hsl(0, 0%, 99%));
  --white-color: hsl(0, 0%, 99%);
  --body-color: light-dark(hsl(0, 0%, 99%), hsl(0, 0%, 12%));
  --container-color: light-dark(hsl(0, 0%, 99%), hsl(0, 0%, 12%));
  --shadow-color: hsla(var(--hue), 90%, 30%, 0.1);
  --shadow-color-text: hsla(var(--hue), 90%, 30%, 0.1);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "REM", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
}
html,
body {
  height: 100%;
  color: var(--white-color-ld);
  background-color: var(--body-color);
}
.accueil {
  display: flex;
  z-index: 1;
  color: var(--white-color-ld);
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
}
.accueil h2 {
  text-align: center;
  font-size: 2rem;
  font-weight: bolder;
  color: var(--first-color);
}
#pseudoInput {
  padding: 10px;
  border: 2px solid var(--first-color);
  border-radius: 5px;
  font-size: 16px;
  width: 40%;
  box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1);
  transition: border-color 0.3s;
}

#pseudoInput:focus { 
  border-color: var(--first-color-hover);
  outline: none;
}

#pseudoInput::placeholder {
  color: #888;
  font-style: italic;
}
#submitButton {
  background: var(--first-color);
  color: var(--white-color);
  border: none;
  font-size: 1.5em;
  padding: 2px 6px;
  border-radius: 10px;
  box-shadow: 2px 2px 6px black;
  transition: 0.4s;
  cursor: pointer;
}
.wrap-color {
  display: flex;
  align-items: center;
}
.color-option {
  display: inline-block;
  width: 30px;
  height: 30px;
  margin: 5px;
  cursor: pointer;
  border: 1px solid #000;
}
.box {
  background-color: var(--body-color);
  margin: auto;
  border: 3px solid black;
  margin: 10px;
  width: 90%;
  height: 90vh;
}
.setting {
  display: flex;
  justify-content: flex-end;
  margin: 7px;
  cursor: pointer;
  font-size: 1.25rem;
  color: var(--white-color-ld);
}
.setting:hover {
  color: var(--first-color);
}
.text {
  text-align: center;
  font-size: 3em;
  font-weight: bold;
}
.box,
.quizz,
.box-quizz,
.result_quizz {
  margin: auto;
  border-radius: 10px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  box-shadow: 0px 4px 8px 0 rgb(0, 0, 0, 0.2), 0px 6px 20px 0 rgb(0, 0, 0, 0.19);
  transition: all 0.3s ease;
}
.box-quizz.activeInfo,
.quizz.activeQuiz,
.result_quizz.activeResult {
  opacity: 1;
  pointer-events: auto;
  transform: translate(-50%, -50%) scale(1);
}
.titre-question {
  font-size: 1.5em;
  text-align: center;
  margin-top: 90px;
}

.wrap-theme {
  display: flex;
  flex-direction: column;
  align-items: center;
}
button.all-theme {
  text-shadow: 0px 0px 1px black;
  font-size: 0.9em;
  padding: 0 5px;
  font-weight: 500;
  color: var(--first-color-text);
  background-color: var(--body-color);
  box-shadow: 1px 1px 5px black;
  cursor: pointer;
  border: none;
  height: 70px;
  width: 70px;
  border-radius: 100%;
  transition: all 0.3s ease;
}
.btnThemeOff {
  text-shadow: 0px 0px 1px black;
  font-size: 0.9em;
  padding: 0 5px;
  font-weight: 500;
  color: var(--first-color);
  background-color: var(--body-color);
  box-shadow: inset 1px 1px 5px black;
  cursor: default;
  border: none;
  height: 70px;
  width: 70px;
  border-radius: 100%;
  transition: all 0.3s ease;
}
button.all-theme:hover {
  color: var(--first-color-hover);
}
button.all-theme:active {
  color: var(--first-color-alt);
  box-shadow: inset 1px 1px 5px black;
}
.s-thematique{
  outline: none;
  margin-top: 10px;
  background: var(--first-color);
  color: var(--white-color);
  border: none;
  font-size: 1em;
  padding: 2px 6px;
  border-radius: 10px;
  box-shadow: 2px 2px 6px black;
  transition: 0.4s;
  cursor: pointer;
  visibility: hidden;
}
.s-theme{
  outline: none;
  margin-top: 10px;
  background: var(--first-color);
  color: var(--white-color);
  border: none;
  font-size: 1em;
  padding: 2px 6px;
  border-radius: 10px;
  box-shadow: 2px 2px 6px black;
  transition: 0.4s;
  cursor: pointer;
  visibility: hidden;
}
.thematique-title{
  padding-bottom: 5px;
  font-weight: 500;
  font-size: 0.9rem;
}
.theme-title{
  font-weight: 500;
  font-size: 0.8rem;
}
.wrap-theme ul {
  margin: 10px;
  display: flex;
  list-style: none;
  display: none;
  flex-wrap: wrap;
}
.wrap-theme ul li {
  flex: auto;
  font-size: 1em;
  width: 80px;
  text-align: center;
  background-color: var(--first-color);
  color: var(--white-color);
  margin: 4px 10px;
  cursor: pointer;
  padding: 2px 6px;
  border-radius: 10px;
  box-shadow: 2px 2px 6px black;
  transition: all 0.3s ease;
}
.wrap-theme ul li:hover {
  background: var(--first-color-hover);
}
.wrap-theme ul li:active {
  background: var(--first-color-alt);
  box-shadow: inset 2px 2px 6px black;
}
.start-quizz {
  margin: 25px 0 25px 0;
  display: flex;
  justify-content: center;
}
.start-quizz button {
  background: var(--first-color);
  color: var(--white-color);
  border: none;
  font-size: 1.5em;
  padding: 2px 6px;
  border-radius: 10px;
  box-shadow: 2px 2px 6px black;
  transition: 0.4s;
  cursor: pointer;
  /* display: none; */
}
.start-quizz button:hover {
  background: var(--first-color-hover);
  transition: 0.2s;
}
.start-quizz button:active {
  background: var(--first-color-alt);
  box-shadow: inset 2px 2px 6px black;
}
.box-quizz {
  width: 100%;
  border-radius: 5px;
  background: var(--body-color);
  margin-top: 20px;
  opacity: 0;
  pointer-events: none;
  transform: translate(-50%, -50%) scale(0.9);
}
.box-quizz .titre-quizz {
  font-size: 1.2em;
  padding-left: 30px;
  height: 50px;
  width: 100%;
  border-bottom: 1px solid grey;
  box-shadow: 0 0 5px black;
  display: flex;
  align-items: center;
}
.box-quizz .liste-quizz {
  height: 50svh;
  padding: 10px;
  text-align: left;
  display: block;
  font-size: 0.9em;
  line-height: 35px;
}
.box-quizz .liste-quizz span {
  color: var(--first-color-hover);
  font-weight: 500;
}
.box-quizz .buttons-quizz {
  display: flex;
  justify-content: flex-end;
  padding: 10px;
  border-bottom: 1px solid black;
  width: 100%;
  border-top: 1px solid black;
  box-shadow: 0 0 5px black;
}
.box-quizz .buttons-quizz button {
  margin: 5px;
  height: 40px;
  width: 100px;
  font-size: 1em;
  font-weight: 500;
  outline: none;
  border-radius: 5px;
  border: 1px solid transparent;
  background: transparent;
  color: var(--white-color);
  cursor: pointer;
  transition: all 0.4s ease;
}
.box-quizz .buttons-quizz .quit-quizz {
  background-color: var(--body-color);
  color: var(--white-color-ld);
  border: 1px solid var(--first-color);
}
.box-quizz .buttons-quizz .quit-quizz:hover {
  background-color: var(--first-color);
  color: var(--white-color);
}
.box-quizz .buttons-quizz .restart-quizz {
  background-color: var(--first-color);
  color: var(--white-color);
  border: 1px solid var(--first-color);
}
.box-quizz .buttons-quizz .restart-quizz:hover {
  background-color: var(--first-color-hover);
  color: rgba(255, 255, 255, 0.938);
}
.quizz {
  width: 100%;
  height: 100%;
  background: var(--body-color);
  border-radius: 5px;
  opacity: 0;
  pointer-events: none;
  transform: translate(-50%, -50%) scale(0.9);
}
.quizz header {
  position: relative;
  z-index: 99;
  height: 70px;
  padding: 0 30px;
  background: var(--body-color);
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-radius: 5px 5px 0 0;
  box-shadow: 0px 3px 5px 1 px rgba(0, 0, 0, 0.1);
}
.quizz header .quizz-title {
  color: var(--white-color-ld);
  font-size: 20px;
  font-weight: 600;
}
.quizz header .quizz-time {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 145px;
  height: 45px;
  background: var(--body-color);
  border: 1px solid rgb(209, 209, 209);
  border-radius: 5px;
  padding: 0 8px;
}
.quizz header .quizz-time .time_text {
  color: var(--white-color-ld);
  font-weight: 400;
  font-size: 17px;
  user-select: none;
}
.quizz header .quizz-time .time_sec {
  font-size: 18px;
  font-weight: 500;
  background: var(--white-color-ld);
  height: 30px;
  width: 45px;
  color: var(--body-color);
  text-align: center;
  line-height: 30px;
  border-radius: 5px;
  border: 1px solid rgb(49, 48, 48);
  user-select: none;
}
.quizz header .time_line {
  position: absolute;
  bottom: 0px;
  left: 0px;
  height: 3px;
  background-color: var(--first-color);
}

.quizz section {
  padding: 15px 30px 0px 30px;
  background: var(--body-color);
}
.quizz section .que_text {
  font-size: 18px;
  font-weight: 500;
}
.quizz section .option_list {
  padding: 20px 0;
  display: block;
}
section .option_list .option {
  font-size: 17px;
  height: 50px;
  background: var(--body-color);
  border: 1px solid grey;
  border-radius: 5px;
  padding: 8px 15px;
  margin-bottom: 15px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
  transition: all 0.3s ease;
}
/* section .option_list .option:hover {
  background: rgb(182, 181, 181);
  border: 1px solid rgb(102, 101, 101);
} */
.option_list .option:last-child {
  margin-bottom: 0;
}
.option_list .option .icon-quizz img {
  margin-bottom: 0;
  height: 35px;
}
.option_list .option.correct {
  background-color: lightgreen;
  color: rgb(0, 0, 0);
}
.option_list .option.incorrect {
  background-color: lightcoral;
  color: rgb(0, 0, 0);
}
.option_list .option.disabled {
  pointer-events: none;
}

.quizz footer {
  height: 50px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.quizz footer .total_que span {
  display: flex;
  user-select: none;
}
footer .total_que span p {
  font-weight: 500;
  padding: 0 4px;
}
.total_que span p:first-child {
  padding-left: 0px;
}
footer .next_btn {
  width: 120px;
  display: none;
  height: 50px;
  font-size: 17px;
  font-weight: 500;
  border: none;
  outline: none;
  color: var(--white-color);
  background: var(--first-color);
  border-radius: 5px;
  border: 1px solid var(--first-color);
  cursor: pointer;
  transition: all 0.3s ease;
}
footer .next_btn:hover {
  color: var(--white-color-ld);
  background-color: var(--first-color-hover);
  color: rgba(255, 255, 255, 0.938);
}

.result_quizz {
  background: var(--body-color);
  width: 100%;
  height: 100%;
  padding: 25px 30px;
  border-radius: 5px;
  display: flex;
  text-align: center;
  align-items: center;
  flex-direction: column;
  justify-content: space-evenly;
  opacity: 0;
  pointer-events: none;
  transform: translate(-50%, -50%) scale(0.9);
}
.result_quizz .completed_text {
  font-size: 20px;
  font-weight: 500;
}
.result_quizz .icon-quizz {
  width: 10%;
  height: auto;
}
.result_quizz .score_text span {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;

  font-size: 15px;
}

.score_text span p {
  padding: 0 4px;
  color: var(--first-color-hover);
}
.result_quizz .buttons-quizz {
  display: flex;
  justify-content: flex-end;
  padding-bottom: 10px;
  border-bottom: 1px solid black;
  width: 100%;
}
.result_quizz .buttons-quizz button {
  padding: 0 4px;
  margin: 20px 5px 5px 5px;
  height: 40px;
  width: auto;
  font-size: 1em;
  font-weight: 500;
  border-radius: 5px;
  border: 1px solid transparent;
  background: transparent;
  color: var(--white-color-ld);
  cursor: pointer;
  transition: all 0.4s ease;
}
.result_quizz .buttons-quizz .quit-quizz {
  background-color: var(--body-color);
  color: var(--first-color);
  border: 1px solid var(--first-color);
}
.result_quizz .buttons-quizz .quit-quizz:hover {
  background-color: var(--first-color-hover);
  color: var(--white-color);
}
.result_quizz .buttons-quizz .restart-quizz {
  background-color: var(--first-color);
  color: var(--white-color);
  border: 1px solid var(--first-color);
}
.result_quizz .buttons-quizz .restart-quizz:hover {
  background-color: var(--first-color-hover);
  color: rgba(255, 255, 255, 0.938) result;
}
/* footer */
.dje-wrap {
  min-height: 100%;
  margin-bottom: -20px;
}
.dje-wrap:after {
  content: "";
  display: block;
}
.dje-footer,
.dje-wrap:after {
  height: 20px;
}
.dje-footer {
  padding: 0px 5px;
  display: flex;
  justify-content: space-between;
  color: var(--white-color-ld);
  font-size: 12px;
  text-align: center;
}
.dje-footer span {
  font-weight: 800;
}

@media (min-width: 290px) {
  .box {
    height: 480px;
  }
  .titre-question {
    margin-top: 30px;
  }
  .box-quizz .liste-quizz {
    margin-left: 15px;
    padding: 10px;
    font-size: 0.9em;
    line-height: 22px;
  }
  .box-quizz .titre-quizz {
    font-size: 19px;
    padding-left: 5px;
  }
  .quizz header { 
    padding: 0px 5px;
  }
  section .option_list .option {
    font-size: 16px;
    height: 40px;
  }
  .quizz section .option_list {
    padding: 10px 0px;
  }
  .que-text {
    font-size: 15px;
  }
  .total_que span p:first-child {
    padding-left: 5px;
  }
  footer .next_btn {
    margin-left: 5px;
  }
  header .quizz-time {
    padding: 0px 5px;
  }
  .dje-footer span {
    color: grey;
  }
}
@media (min-width: 320px) {
  section .option_list .option {
    font-size: 16px;
    height: 45px;
  }
  .quizz section .que_text {
    font-size: 16px;
  }
  .text {
    margin-top: 30px;
  }
  .dje-footer span {
    color: #fa1;
  }
}
@media (min-width: 481px) {
  .dje-footer span {
    color: lightcoral;
  }
  .quizz header {
    padding: 0px 20px;
}}
@media (min-width: 641px) {
  .box {
    width: 600px;
    height: 480px;
  }
  section .option_list .option {
    font-size: 17px;
    height: 50px;
  }
  .dje-footer span {
    color: lightgreen;
  }
  .box-quizz .liste-quizz {
    line-height: 30px;
  }
}
@media (min-width: 961px) {
  .dje-footer span {
    color: #fa1;
  }
}

@media (min-width: 1025px) {
  .dje-footer span {
    color: forestgreen;
  }
}
